<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Animation.html">Animation</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Animation Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a0594747e21adfeb55c8b9fdff6b53487">_applyBaseKeyFrame</a>()</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a4deb5ee68ca3b3b064ec818d256ba57e">_collectIdentityNodeTracks</a>(TrackHandleList &amp;tracks) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a0efa76d209b69cbf6edb22565efbf710">_destroyNodeTracks</a>(const TrackHandleList &amp;tracks)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a98586536e06a55b21fd5407942608b41">_getNodeTrackList</a>(void) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#aaeb8ab3866b26412fa3ba1f907d45ea5">_getNumericTrackList</a>(void) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#acd9d856cef81a16612c588792fd2b843">_getTimeIndex</a>(Real timePos) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#aef2ea8fe2f8f1b25a6e0088b69c1eb5e">_getVertexTrackList</a>(void) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#ad8bcd32239c62f94ac26f07b30de6db0">_keyFrameListChanged</a>(void)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a7deef4dd997370e01c59edc4f5d44500">_notifyContainer</a>(AnimationContainer *c)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#aeece2a3468761504266fc13b1d45b9e8">Animation</a>(const String &amp;name, Real length)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#aa79ff8a4ddeb63225e6d68f6a16e9a24">apply</a>(Real timePos, Real weight=1.0, Real scale=1.0f)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a5f874e1f76e045184f04f44ce1c94927">apply</a>(Skeleton *skeleton, Real timePos, Real weight=1.0, Real scale=1.0f)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#af200502c3f6eeaa8f1a8da39e8ada5d9">apply</a>(Skeleton *skeleton, Real timePos, float weight, const AnimationState::BoneBlendMask *blendMask, Real scale)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a452a33575f1b10818dc99f260fb799a8">apply</a>(Entity *entity, Real timePos, Real weight, bool software, bool hardware)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#aba50b3776ef9ff01f182acfaf9e1cf02">applyToAnimable</a>(const AnimableValuePtr &amp;anim, Real timePos, Real weight=1.0, Real scale=1.0f)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a18392d47fb421eb3131e2c6bc79e4fe1">applyToNode</a>(Node *node, Real timePos, Real weight=1.0, Real scale=1.0f)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a4221e6f98120b985e97ab59f62241bfc">applyToVertexData</a>(VertexData *data, Real timePos, Real weight=1.0)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#aa9bd188b881327f3f4610ac9c3065293">buildKeyFrameTimeList</a>(void) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a34143940cdafe87ecb11dd9d5a22b1f1">clone</a>(const String &amp;newName) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a30787705fcfd9116eb228e6d6c55aa1c">createNodeTrack</a>(unsigned short handle)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#aca1a073f6b8cd7acfd9fae1c70efcc67">createNodeTrack</a>(unsigned short handle, Node *node)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a2a7c93bf69ae8c39cd5008a4ea0914bb">createNumericTrack</a>(unsigned short handle)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a617ebd1829597aab16a1487bb5e7db47">createNumericTrack</a>(unsigned short handle, const AnimableValuePtr &amp;anim)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#aa57ef3d4c1957a1514baaaeb05a7a07c">createVertexTrack</a>(unsigned short handle, VertexAnimationType animType)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a2e0d15b479986999a34c85c11368b7d1">createVertexTrack</a>(unsigned short handle, VertexData *data, VertexAnimationType animType)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a571b7ec6d6894ee7352f991d4675fcec">destroyAllNodeTracks</a>(void)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#ad02ddb9aa24b16831d546d35ade27514">destroyAllNumericTracks</a>(void)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a38a092ec9280c0651b9af9c5a0f91d82">destroyAllTracks</a>(void)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a9514493756471b0ab5d8cc473e291141">destroyAllVertexTracks</a>(void)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a8af56d49ff39965b5544f4714f60921e">destroyNodeTrack</a>(unsigned short handle)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#aeacd8ac98ee8a82f4ee02a42ad5a20c1">destroyNumericTrack</a>(unsigned short handle)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a9b73daea219e50025394ec4939f612cd">destroyVertexTrack</a>(unsigned short handle)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a07f70403be35a81bc58c285bb02f2625">getBaseKeyFrameAnimationName</a>() const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a23c44992080df8b029fcb12a9a3e5f5b">getBaseKeyFrameTime</a>() const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#ae5edd991dc35ae17e1a2abbe85608154">getContainer</a>()</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a1bd3c85600ecce978cc15ab36ddf9a43">getDefaultInterpolationMode</a>(void)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a67546bf051fd0135c79842d56682ec4a">getDefaultRotationInterpolationMode</a>(void)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a01c7c6f1014e7d7716823a9c8e65deff">getInterpolationMode</a>(void) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a75d97b070ea8e77e3ecb227882ffd962">getLength</a>(void) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#acea315bd83f7f56e3a19103d7d33eb14">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a1ba11007332b6be538d8847805d1fa1c">getNodeTrack</a>(unsigned short handle) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#ac8e44704bf96b608f1fa7aa0c0b88edf">getNodeTrackIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a35f96927370947eacaf6dea035db8356">getNumericTrack</a>(unsigned short handle) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a3baa25475b685e73bc95f07f8abd686e">getNumericTrackIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a751504518dcf3e40e4b69b5e43db4057">getNumNodeTracks</a>(void) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a4e13d281d94ef9f232405e89f2c462c4">getNumNumericTracks</a>(void) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a79eace2e0e28a36cc3e50b9b6c668aa2">getNumVertexTracks</a>(void) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#afe9aca83863872446c2e166086fc0f0d">getRotationInterpolationMode</a>(void) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a836b83729af14cd13e375a00e6d22082">getUseBaseKeyFrame</a>() const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#ac5ebb60cc52ca46c25521e33b4f3ad9e">getVertexTrack</a>(unsigned short handle) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#aa862d7cc6c0764a479962ad562373218">getVertexTrackIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a19764ce1b571ed46e3aa3430a6150396">hasNodeTrack</a>(unsigned short handle) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a1f706ab036182bb0c4f3750434d738ef">hasNumericTrack</a>(unsigned short handle) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a1f09188e8d68327bdc122ae15ce4f3bd">hasVertexTrack</a>(unsigned short handle) const </td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#accd627249080f5a09332f55bed1d2dcda262ee3e33fe08932773f377f2595b142">IM_LINEAR</a> enum value</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#accd627249080f5a09332f55bed1d2dcdaed6662637d5b6a2f79cdf5b60318fc9a">IM_SPLINE</a> enum value</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#accd627249080f5a09332f55bed1d2dcd">InterpolationMode</a> enum name</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a6edac07b941e6e5143f8698512c54f85">KeyFrameTimeList</a> typedef</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#adf7afa50d30afd8672d2f126acd8f66a">mBaseKeyFrameAnimationName</a></td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a2eef637eb31967fccfd0117f1b4249ca">mBaseKeyFrameTime</a></td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a98114678abd7fcc0170b221586334d9e">mContainer</a></td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#af12b2e7210e20a1f4753d624997b584e">mInterpolationMode</a></td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a413a1b1f2a76187c55e117439713ad45">mKeyFrameTimes</a></td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#aebb49da3e990b742b399f9504434af3d">mKeyFrameTimesDirty</a></td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#ad276a5a08f9722e7ec3db6010ed46c5d">mLength</a></td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#ad9b0db95c087917ae1f1b39c8bd78033">mName</a></td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#ad6feb2e94e741b520b4b495de3370d0a">mNodeTrackList</a></td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a7827f78d56ad9617d492ca9db44b0dda">mNumericTrackList</a></td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a73cbf633be9d7d066c8592eb7f7201cf">mRotationInterpolationMode</a></td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#af7548c23de2f7a7247a32b6b51c10d4d">msDefaultInterpolationMode</a></td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#ac86f4ccd6587f674204158c527ae4610">msDefaultRotationInterpolationMode</a></td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a7d787f8568a6ce362cb4216389823c91">mUseBaseKeyFrame</a></td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a459b6ab4402064f29513d85f11019a8e">mVertexTrackList</a></td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a102623aa082648ea3fe2023ab30609b3">NodeTrackIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a687b42ea31dcb2a63430655544b1cd92">NodeTrackList</a> typedef</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#adc1167a609195ef97a04e3c6ea1dbe4f">NumericTrackIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a5bb1d35a490357a87992a603c5fce642">NumericTrackList</a> typedef</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a6c74bfa5a7755f2cc6fa5635f50afef6">optimise</a>(bool discardIdentityNodeTracks=true)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a8f0caeee9db7f221427d9c4c741f1ce6">optimiseNodeTracks</a>(bool discardIdentityTracks)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a76c998bd82d0a638248af8256d67d95f">optimiseVertexTracks</a>(void)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#afbc674fea08fd85e8ad73a10dc852c32a9b235462ed2b49ff928bfc037775e18f">RIM_LINEAR</a> enum value</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#afbc674fea08fd85e8ad73a10dc852c32ae2332380356ba1b4aa4b30eef722ce40">RIM_SPHERICAL</a> enum value</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#afbc674fea08fd85e8ad73a10dc852c32">RotationInterpolationMode</a> enum name</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a578b8c96c94980f27a73315cc24ddba7">setDefaultInterpolationMode</a>(InterpolationMode im)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#aa619948ea4bd84a5041e2f70036f6f98">setDefaultRotationInterpolationMode</a>(RotationInterpolationMode im)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#aac31e00a651ad27d019284f761309aaa">setInterpolationMode</a>(InterpolationMode im)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#ad40a8420fdccba38d8e8d3d7f270c804">setLength</a>(Real len)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#afabcd2de47086fa2ee7a9b1425d2dfe2">setRotationInterpolationMode</a>(RotationInterpolationMode im)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#ad2e66ba420139faf24d857a5725d314d">setUseBaseKeyFrame</a>(bool useBaseKeyFrame, Real keyframeTime=0.0f, const String &amp;baseAnimName=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#aa1e0832cbc4b53d5b66db62bae3b72e4">TrackHandleList</a> typedef</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#a6cf2cea821bb2bc222097322810a8795">VertexTrackIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#abd58b24a526b3a8d9a380817da873de4">VertexTrackList</a> typedef</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Animation.html#aaffbd7f99b0d72bb55c2ac42ad671acf">~Animation</a>()</td><td><a class="el" href="classOgre_1_1Animation.html">Ogre::Animation</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
